CSFML - C binding of the Simple and Fast Multimedia Library

CSFML
Data Structures | Functions
Rect.h File Reference
`#include <SFML/Graphics/Export.h>`

Go to the source code of this file.

## Data Structures
struct | sfFloatRect
| sfFloatRect and sfIntRect are utility classes for manipulating rectangles. More...
struct | sfIntRect

## Functions
CSFML_GRAPHICS_API sfBool | sfFloatRect_contains (const sfFloatRect *rect, float x, float y)
| Check if a point is inside a rectangle's area. More...
CSFML_GRAPHICS_API sfBool | sfIntRect_contains (const sfIntRect *rect, int x, int y)
CSFML_GRAPHICS_API sfBool | sfFloatRect_intersects (const sfFloatRect *rect1, const sfFloatRect *rect2, sfFloatRect *intersection)
| Check intersection between two rectangles. More...
CSFML_GRAPHICS_API sfBool | sfIntRect_intersects (const sfIntRect *rect1, const sfIntRect *rect2, sfIntRect *intersection)

## Function Documentation

## ◆ sfFloatRect_contains()

CSFML_GRAPHICS_API sfBool sfFloatRect_contains | ( | const sfFloatRect * | rect,
|  | float | x,
|  | float | y
| ) |  |

Check if a point is inside a rectangle's area.

Parameters

  rect | Rectangle to test
  x | X coordinate of the point to test
  y | Y coordinate of the point to test

Returns
  sfTrue if the point is inside

## ◆ sfFloatRect_intersects()

CSFML_GRAPHICS_API sfBool sfFloatRect_intersects | ( | const sfFloatRect * | rect1,
|  | const sfFloatRect * | rect2,
|  | sfFloatRect * | intersection
| ) |  |

Check intersection between two rectangles.

Parameters

  rect1 | First rectangle to test
  rect2 | Second rectangle to test
  intersection | Rectangle to be filled with overlapping rect (can be NULL)

Returns
  sfTrue if rectangles overlap

## ◆ sfIntRect_contains()

CSFML_GRAPHICS_API sfBool sfIntRect_contains | ( | const sfIntRect * | rect,
|  | int | x,
|  | int | y
| ) |  |

## ◆ sfIntRect_intersects()

CSFML_GRAPHICS_API sfBool sfIntRect_intersects | ( | const sfIntRect * | rect1,
|  | const sfIntRect * | rect2,
|  | sfIntRect * | intersection
| ) |  |